Bug 1413475 - [abrt] plasma-systemsettings: QImageData::~QImageData(): systemsettings5 killed by SIGABRT
Summary: [abrt] plasma-systemsettings: QImageData::~QImageData(): systemsettings5 kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:14fb19724c499384564e7d4d009...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 05:36 UTC by Sylvain Réault
Modified: 2017-12-12 10:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:55:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (66.51 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: core_backtrace (13.66 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: dso_list (31.50 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: environ (1.59 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: maps (128.42 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: mountinfo (4.20 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: open_fds (178 bytes, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details
File: var_log_messages (8.54 KB, text/plain)
2017-01-16 05:36 UTC, Sylvain Réault
no flags Details

Description Sylvain Réault 2017-01-16 05:36:17 UTC
Version-Release number of selected component:
plasma-systemsettings-5.8.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: QImageData::~QImageData
executable:     /usr/bin/systemsettings5
global_pid:     4638
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #10 QImageData::~QImageData at image/qimage.cpp:175
 #11 QImage::~QImage at image/qimage.cpp:1042
 #12 QRasterPlatformPixmap::~QRasterPlatformPixmap at image/qpixmap_raster.cpp:87
 #14 QExplicitlySharedDataPointer<QPlatformPixmap>::~QExplicitlySharedDataPointer at ../../src/corelib/tools/qshareddata.h:165
 #15 QPixmap::~QPixmap at image/qpixmap.cpp:271
 #16 QPixmapIconEngineEntry::~QPixmapIconEngineEntry at image/qicon_p.h:84
 #17 QVector<QPixmapIconEngineEntry>::destruct at ../../src/corelib/tools/qvector.h:351
 #18 QVector<QPixmapIconEngineEntry>::freeData at ../../src/corelib/tools/qvector.h:527
 #19 QVector<QPixmapIconEngineEntry>::~QVector at ../../src/corelib/tools/qvector.h:75
 #20 QPixmapIconEngine::~QPixmapIconEngine at image/qicon.cpp:176

Comment 1 Sylvain Réault 2017-01-16 05:36:24 UTC
Created attachment 1241100 [details]
File: backtrace

Comment 2 Sylvain Réault 2017-01-16 05:36:25 UTC
Created attachment 1241101 [details]
File: cgroup

Comment 3 Sylvain Réault 2017-01-16 05:36:27 UTC
Created attachment 1241102 [details]
File: core_backtrace

Comment 4 Sylvain Réault 2017-01-16 05:36:28 UTC
Created attachment 1241103 [details]
File: dso_list

Comment 5 Sylvain Réault 2017-01-16 05:36:30 UTC
Created attachment 1241104 [details]
File: environ

Comment 6 Sylvain Réault 2017-01-16 05:36:31 UTC
Created attachment 1241105 [details]
File: limits

Comment 7 Sylvain Réault 2017-01-16 05:36:34 UTC
Created attachment 1241106 [details]
File: maps

Comment 8 Sylvain Réault 2017-01-16 05:36:35 UTC
Created attachment 1241107 [details]
File: mountinfo

Comment 9 Sylvain Réault 2017-01-16 05:36:36 UTC
Created attachment 1241108 [details]
File: namespaces

Comment 10 Sylvain Réault 2017-01-16 05:36:38 UTC
Created attachment 1241109 [details]
File: open_fds

Comment 11 Sylvain Réault 2017-01-16 05:36:39 UTC
Created attachment 1241110 [details]
File: proc_pid_status

Comment 12 Sylvain Réault 2017-01-16 05:36:40 UTC
Created attachment 1241111 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 15:16:58 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:55:42 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.